Page MenuHomePhabricator

[GOAL] Style Guide - Guide on how/when to use components
Closed, ResolvedPublic

Description

Task list & timeline:

  • Understand what non-technical contributors need in their work (Q2)
  • Understand what non-technical volunteer contributors need in their work (Q3)
  • Understand what technical volunteer contributors need in their work (Q3)
  • Understand what developers need in their work (Q3)
  • Understand what designers need in their work (Q3)
  • Synthesize and develop ideas on how to best document the guide to answer use cases from developers, volunteer contributors and designers (Q3)

Related Objects

StatusAssignedTask
Resolved Spage
ResolvedVolker_E
ResolvedCapt_Swing
ResolvedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
DuplicateVolker_E
ResolvedNone
ResolvedJdlrobson
ResolvedJdlrobson
Resolved Nirzar
ResolvedVolker_E
OpenNone

Event Timeline

violetto raised the priority of this task from to Needs Triage.
violetto updated the task description. (Show Details)
violetto added subscribers: violetto, Volker_E.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 18 2015, 1:35 AM
violetto updated the task description. (Show Details)Nov 18 2015, 6:33 AM
violetto set Security to None.
violetto updated the task description. (Show Details)
violetto updated the task description. (Show Details)Nov 19 2015, 1:34 AM
violetto triaged this task as High priority.Nov 19 2015, 3:16 AM
Volker_E closed this task as Resolved.Jul 30 2019, 2:15 PM
Volker_E claimed this task.

This task shouldn't have been moved to the v1.1. column, but been successfully resolved instead.
We've identified over the last years needs of designers within our ever since growing design team and volunteers and had resulted output brought back into the components overview M101, that has become part of the “Resources” section.
Developers needs have been made topics at two hackathons identifying documentation shortcomings and improvements of OOUI demos.

A task caring about the Components section itself has been filed at T229333.